# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.75"
name = "tofupilot"
version = "0.1.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "TofuPilot APIv2: TofuPilot REST API for managing runs, units, procedures, and more."
readme = "README.md"
keywords = [
    "tofupilot",
    "test",
    "manufacturing",
    "api",
    "sdk",
]
categories = ["api-bindings"]
license = "MIT"
repository = "https://github.com/tofupilot/rust"

[lib]
name = "tofupilot"
path = "src/lib.rs"

[[test]]
name = "attachments"
path = "tests/attachments.rs"

[[test]]
name = "batches"
path = "tests/batches.rs"

[[test]]
name = "common"
path = "tests/common.rs"

[[test]]
name = "parts"
path = "tests/parts.rs"

[[test]]
name = "procedures"
path = "tests/procedures.rs"

[[test]]
name = "revisions"
path = "tests/revisions.rs"

[[test]]
name = "runs_create"
path = "tests/runs_create.rs"

[[test]]
name = "runs_create_aggregations"
path = "tests/runs_create_aggregations.rs"

[[test]]
name = "runs_create_mdm"
path = "tests/runs_create_mdm.rs"

[[test]]
name = "runs_create_validators"
path = "tests/runs_create_validators.rs"

[[test]]
name = "runs_delete"
path = "tests/runs_delete.rs"

[[test]]
name = "runs_get"
path = "tests/runs_get.rs"

[[test]]
name = "runs_list"
path = "tests/runs_list.rs"

[[test]]
name = "runs_update"
path = "tests/runs_update.rs"

[[test]]
name = "stations"
path = "tests/stations.rs"

[[test]]
name = "unit_children"
path = "tests/unit_children.rs"

[[test]]
name = "units"
path = "tests/units.rs"

[[test]]
name = "users"
path = "tests/users.rs"

[[test]]
name = "versions"
path = "tests/versions.rs"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.fastrand]
version = "2"

[dependencies.percent-encoding]
version = "2"

[dependencies.reqwest]
version = "0.12"
features = [
    "json",
    "rustls-tls",
]
default-features = false

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1"
features = [
    "fs",
    "time",
]

[dev-dependencies.tokio]
version = "1"
features = [
    "full",
    "macros",
]

[dev-dependencies.uuid]
version = "1"
features = ["v4"]
